aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-pillow/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-24 20:24:44 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-09-29 14:07:37 +0000
commitc607e1ef6ebea939a8b0d0962967316b47fe8ae7 (patch)
tree349313f6f5804f1d05b0c54ca8523fd5353654ed /testing/py-pillow/APKBUILD
parent97493c03a881c5cdbe841d9bc81820631bcad4de (diff)
downloadaports-c607e1ef6ebea939a8b0d0962967316b47fe8ae7.tar.gz
aports-c607e1ef6ebea939a8b0d0962967316b47fe8ae7.tar.bz2
aports-c607e1ef6ebea939a8b0d0962967316b47fe8ae7.tar.xz
testing/py-pillow: new aport
A Python Imaging Library http://python-imaging.github.io/
Diffstat (limited to 'testing/py-pillow/APKBUILD')
-rw-r--r--testing/py-pillow/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-pillow/APKBUILD b/testing/py-pillow/APKBUILD
new file mode 100644
index 0000000000..c94393a5fe
--- /dev/null
+++ b/testing/py-pillow/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-pillow
+_pkgname=Pillow
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="A Python Imaging Library"
+url="http://python-imaging.github.io/"
+arch="all"
+license="PSF"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools freetype-dev jpeg-dev zlib-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="fd2d8f12055d4a133fe480ec7f20fa94 python-stdnum-0.8.1.tar.gz"
+sha256sums="41bac7de44ac84bc23325070e931e187fb00bfb6b93e0f4fbecc8736bd31b1d2 python-stdnum-0.8.1.tar.gz"
+sha512sums="c3aa3179b6c27ca88ad8a39c086f8305d3406f79e29ea06656c1a5caf2c78a0fac4fa04bb663bb83f2c8e105cf156e9e421854b9b4c16b2cc18825c4f0ae1028 python-stdnum-0.8.1.tar.gz"